import request from '@/utils/request'

// 查询安全准入资格列表
export function listGroup(query) {
  return request({
    url: '/laboratory/group/list',
    method: 'get',
    params: query
  })
}

// 查询安全准入资格详细
export function getGroup(id) {
  return request({
    url: '/laboratory/group/' + id,
    method: 'get'
  })
}

// 新增安全准入资格
export function addGroup(data) {
  return request({
    url: '/laboratory/group',
    method: 'post',
    data: data
  })
}

// 修改安全准入资格
export function updateGroup(data) {
  return request({
    url: '/laboratory/group',
    method: 'put',
    data: data
  })
}

// 删除安全准入资格
export function delGroup(id) {
  return request({
    url: '/laboratory/group/' + id,
    method: 'delete'
  })
}

// 查询实验室字典列表
export function subjectDictList(data) {
  return request({
    url: '/laboratory/subject/getSubjectDict',
    method: 'get',
    params: data
  })
}


// 查询实验室字典列表
export function filterSubjectDictList(data) {
  return request({
    url: '/laboratory/subject/getFilterSubjectDict',
    method: 'get',
    params: data
  })
}
